Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514096 - python-nose-1.3.7-15.fc27 FTBFS: Broken dependency on platform-python-coverage >= 3.4-1
Summary: python-nose-1.3.7-15.fc27 FTBFS: Broken dependency on platform-python-coverag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nose
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 16:10 UTC by Petr Pisar
Modified: 2018-11-19 20:43 UTC (History)
4 users (show)

Fixed In Version: python-nose-1.3.7-18.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 20:43:45 UTC


Attachments (Terms of Use)

Description Petr Pisar 2017-11-16 16:10:59 UTC
python-nose-1.3.7-15.fc27 fails to build in F27 because platform-python-coverage >= 3.4-1 is not available in Fedora 27:

$ fedpkg local
error: Failed build dependencies:
        platform-python-coverage >= 3.4-1 is needed by python-nose-1.3.7-15.fc27.noarch

Could not execute local: rpmbuild --define '_sourcedir /home/test/fedora/python-nose' --define '_specdir /home/test/fedora/python-nose' --define '_builddir /home/test/fedora/python-nose' --define '_srcrpmdir /home/test/fedora/python-nose' --define '_rpmdir /home/test/fedora/python-nose' --define 'dist .fc27' --define 'fedora 27' --eval '%undefine rhel' --define 'fc27 1' -ba /home/test/fedora/python-nose/python-nose.spec | tee .build-1.3.7-15.fc27.log

$ rpm -q python3-devel
python3-devel-3.6.3-2.fc27.x86_64

That's because the spec file has:

%if 0%{?fedora}
%bcond_without python3
%bcond_without platform_python
%else
[...]

%if %{with platform_python}
BuildRequires: platform-python-devel
BuildRequires: platform-python-setuptools
BuildRequires: platform-python-coverage >= 3.4-1
%endif

There is no "platform_python" in Fedora 27.

Comment 1 Pierre-YvesChibon 2018-07-25 09:48:04 UTC
I've merged the f28 branch which contained the fix for this and build it. The resulting RPM is: python-nose-1.3.7-18.fc27.

Going to push it via bodhi.

Comment 2 Fedora Update System 2018-07-25 10:05:22 UTC
python-nose-1.3.7-18.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3ac9d6853

Comment 3 Fedora Update System 2018-07-25 19:37:09 UTC
python-nose-1.3.7-18.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d3ac9d6853

Comment 4 Fedora Update System 2018-11-19 20:43:45 UTC
python-nose-1.3.7-18.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.